#ifndef CLASERPATH_THORLAB_H
#define CLASERPATH_THORLAB_H
#include "claserpath.h"
#include <QMutex>
#include <string>

class CLaserPath_Thorlab : public CLaserPath
{
public:
    CLaserPath_Thorlab(const QString& name,int32_t id);

public:
	CALIMAP_FREQ		m_PowerCali;
	virtual int ReadConfig(QDomElement &root);
	virtual bool FindPowerPosVector(int iFreq,double dSIndex,POWERPOSVECTOR& vector);

	virtual void WritePowerPosMap();
	virtual void ReadPowerPosMap();

private:
	void GenPower();
	void WritePowerPosMapText();

private:

};

#endif // CLASERPATH_THORLAB_H
